com.genesyslab.wfm8.API.service.forecast800

## Class FrcHistoricalShortInformation

- java.lang.Object
- - com.genesyslab.wfm8.API.service.forecast800.FrcHistoricalShortInformation

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcHistoricalShortInformation
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<FrcActivity>` | `activities` Activity array
    `protected int` | `activitiesArraySize` Activity array size
    `protected double` | `end` Period end date
    `private static long` | `serialVersionUID`
    `protected double` | `start` Period start date

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcHistoricalShortInformation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<FrcActivity>` | `getActivities()` Gets the activities value for this FrcHistoricalShortInformation.
    `int` | `getActivitiesArraySize()` Gets the activitiesArraySize value for this FrcHistoricalShortInformation.
    `double` | `getEnd()` Gets the end value for this FrcHistoricalShortInformation.
    `double` | `getStart()` Gets the start value for this FrcHistoricalShortInformation.
    `int` | `hashCode()`
    `void` | `setActivities(java.util.List<FrcActivity> activities)` Sets the activities value for this FrcHistoricalShortInformation.
    `void` | `setActivitiesArraySize(int activitiesArraySize)` Sets the activitiesArraySize value for this FrcHistoricalShortInformation.
    `void` | `setEnd(double end)` Sets the end value for this FrcHistoricalShortInformation.
    `void` | `setStart(double start)` Sets the start value for this FrcHistoricalShortInformation.
    `java.lang.String` | `toString()`
    `FrcHistoricalShortInformation` | `withActivities(java.util.Collection<FrcActivity> values)`
    `FrcHistoricalShortInformation` | `withActivities(FrcActivity... values)`
    `FrcHistoricalShortInformation` | `withActivitiesArraySize(int value)`
    `FrcHistoricalShortInformation` | `withEnd(double value)`
    `FrcHistoricalShortInformation` | `withStart(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### start

          protected double start

      Period start date

    - #### end

          protected double end

      Period end date

    - #### activitiesArraySize

          protected int activitiesArraySize

      Activity array size

    - #### activities

          protected java.util.List<FrcActivity> activities

      Activity array

  - ### Constructor Detail

    - #### FrcHistoricalShortInformation

          public FrcHistoricalShortInformation()

  - ### Method Detail

    - #### getStart

          public double getStart()

      Gets the start value for this FrcHistoricalShortInformation.
      Returns:
        start

    - #### setStart

          public void setStart(double start)

      Sets the start value for this FrcHistoricalShortInformation.
      Parameters:
        `start` -

    - #### getEnd

          public double getEnd()

      Gets the end value for this FrcHistoricalShortInformation.
      Returns:
        end

    - #### setEnd

          public void setEnd(double end)

      Sets the end value for this FrcHistoricalShortInformation.
      Parameters:
        `end` -

    - #### getActivitiesArraySize

          public int getActivitiesArraySize()

      Gets the activitiesArraySize value for this FrcHistoricalShortInformation.
      Returns:
        activitiesArraySize

    - #### setActivitiesArraySize

          public void setActivitiesArraySize(int activitiesArraySize)

      Sets the activitiesArraySize value for this FrcHistoricalShortInformation.
      Parameters:
        `activitiesArraySize` -

    - #### getActivities

          public java.util.List<FrcActivity> getActivities()

      Gets the activities value for this FrcHistoricalShortInformation.
      Returns:
        activities

    - #### setActivities

          public void setActivities(java.util.List<FrcActivity> activities)

      Sets the activities value for this FrcHistoricalShortInformation.
      Parameters:
        `activities` -

    - #### withStart

          public FrcHistoricalShortInformation withStart(double value)

    - #### withEnd

          public FrcHistoricalShortInformation withEnd(double value)

    - #### withActivities

          public FrcHistoricalShortInformation withActivities(java.util.Collection<FrcActivity> values)

    - #### withActivities

          public FrcHistoricalShortInformation withActivities(FrcActivity... values)

    - #### withActivitiesArraySize

          public FrcHistoricalShortInformation withActivitiesArraySize(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.